Summary: The readline 4.3 library for compatibility with older software.
Name: compat-readline43
Version: 4.3
Release: 3
License: GPL
Group: System Environment/Libraries
URL: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Source: ftp://ftp.gnu.org/gnu/readline-%{version}.tar.bz2
Patch0: readline-4.1-outdated.patch
Patch1: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-001
Patch2: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-002
Patch3: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-003
Patch4: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-004
Patch5: ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/readline43-005
Patch6: readline-4.3-no_rpath.patch
Prereq: /sbin/ldconfig
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: sed autoconf libtool

%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

%prep
%setup -q -n readline-%{version}
%patch0 -p1 -b .outdated
%patch1 -p0 -b .readline43-001
%patch2 -p0 -b .readline43-002
%patch3 -p0 -b .readline43-003
%patch4 -p0 -b .readline43-004
%patch5 -p0 -b .readline43-005
%patch6 -p1 -b .no_rpath

libtoolize --copy --force
autoconf || autoconf-2.53

%build
%configure
make all shared

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

%makeinstall

chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/*.so*

{ cd ${RPM_BUILD_ROOT}
  gzip -9nf .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
}

# Don't ship devel files
rm -rf ${RPM_BUILD_ROOT}%{_includedir}/readline
rm -f \
	${RPM_BUILD_ROOT}%{_libdir}/lib*.a \
	${RPM_BUILD_ROOT}%{_libdir}/lib*.so \
	${RPM_BUILD_ROOT}%{_mandir}/man*/* \
	${RPM_BUILD_ROOT}%{_infodir}/*.info*
 
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%changelog
* Fri Jul 14 2006 Jesse Keating <jkeating@redhat.com> - 4.3-3
- rebuilt

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 4.3-2
- Rebuild for new GCC.

* Tue Jan 11 2005 Tim Waugh <twaugh@redhat.com> 4.3-1
- Compatibility package created from readline-4.3-14.
